[![npm](https://img.shields.io/npm/v/@highlight-ui/tab)](https://www.npmjs.com/package/@highlight-ui/tab)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/navigation-tab--default)

# @highlight-ui/tab

Using npm:

```bash
npm install @highlight-ui/tab
```

Using yarn:

```bash
yarn add @highlight-ui/tab
```

Using pnpm:

```bash
pnpm install @highlight-ui/tab
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/tab');
```

Once the package is installed, you can import the library:

```ts
import { Tab, TabItem } from '@highlight-ui/tab';
```

## Usage

```tsx
import React from 'react';
import { Tab, TabItem } from '@highlight-ui/tab';

export default function TabExample() {
  return (
    <Tab value={value} onChange={handleChange}>
      <TabItem name="lorem">Lorem</TabItem>
      <TabItem name="ipsum">Ipsum</TabItem>
    </Tab>
  );
}
```

## Props 📜

### Tab

| Prop        | Type                        | Required | Default | Description                          |
| :---------- | :-------------------------- | :------- | :------ | :----------------------------------- |
| `placement` | `'left', 'center', 'right'` | No       |         | Horizontal alignment of the Tabs     |
| `disabled`  | `boolean`                   | No       | `false` | Sets the disabled state on the Tab   |
| `onChange`  | `() => void`                | No       |         | The onChange event handler           |
| `value`     | `string`                    | No       |         | The value of the Tab                 |
| `className` | `string`                    | No       |         | Allows providing a custom class name |

### TabItem

| Prop        | Type                     | Required | Default | Description                            |
| :---------- | :----------------------- | :------- | :------ | :------------------------------------- |
| `name`      | `string`                 | Yes      |         | The name of the TabItem                |
| `focus`     | `boolean`                | No       | `false` | Sets the focused state on the TabItem  |
| `disabled`  | `boolean`                | No       | `false` | Sets the disabled state on the TabItem |
| `selected`  | `boolean`                | No       | `false` | Sets the selected TabItem              |
| `onChange`  | `(name: string) => void` | No       |         | The onChange event handler             |
| `className` | `string`                 | No       |         | Allows providing a custom class name   |

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
