import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type BadgeStatus = 'neutral' | 'critical' | 'success' | 'warning' | 'info';
export declare type BadgeProps = PropsWithMetadata<{
    /**
     * Positive number which will be rendered in Badge component
     */
    value: number;
    /**
     * Optional positive number which can be set to further constraint value. Defaults to 1000.
     */
    max?: number;
}>;
declare const Badge: React.ForwardRefExoticComponent<{
    /**
     * Positive number which will be rendered in Badge component
     */
    value: number;
    /**
     * Optional positive number which can be set to further constraint value. Defaults to 1000.
     */
    max?: number | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Badge;
